import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';

const width = 960;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 20;
const eyeOffsetX = 90;
const eyeOffsetY = 85;
const mouthOffsetY = -30;
const eyeRadius = 35;
const mouthWidth = 20;
const mouthRadius = 120;
const tongueLength = 100;
const tongueWidth = 70;

const mouthArc = arc()
  .innerRadius(mouthRadius)
  .outerRadius(mouthRadius + mouthWidth)
  .startAngle(Math.PI / 2)
  .endAngle(Math.PI * 3 / 2);

const App = () => (
  <svg width={width} height={height}>
    <g transform={`translate(${centerX},${centerY-mouthOffsetY})`}>
      <circle
        cy={mouthOffsetY}
        r={centerY - strokeWidth / 2}
        fill="#FFFF00"
        stroke="black"
        stroke-width={strokeWidth}
      />
      <circle
        cx={-eyeOffsetX}
        cy={mouthOffsetY - eyeOffsetY}
        r={eyeRadius}
      />
      <circle
        cx={eyeOffsetX}
        cy={mouthOffsetY - eyeOffsetY}
        r={eyeRadius}
      />
      <path d={mouthArc()}/>
      <g transform={`translate(${0},${mouthOffsetY}) rotate(60)`}>
      	<ellipse 
          cx={mouthRadius+tongueLength/2} 
          cy="0" 
          rx={tongueLength/2} 
          ry={tongueWidth/2} 
          fill="#FF4000" 
      />
      </g>
    </g>
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);